Module selection breaks if the project identifier is the same as a module name

2010-07-29 04:03 - Baryon Lee

Status: Closed Start date: 2010-07-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Redmine 1.0RC + Apache

1) convert trac project named "boards" into redmine with same name.

2) add repos or other module(s) for this project, got a error(404 not found )

History

#1 - 2010-07-29 10:32 - Felix Schäfer

- Subject changed from plural project name cause 404 error on adding new module into project to Module selection breaks if the project identifier is the

same as a module name

I was able to reproduce this with a project with the identifier boards, but also one with the identifier news. I changed the subject accordingly.

Here is the development trace from the try with the project with the identifier boards:

Processing BoardsController#new (for 127.0.0.1 at 2010-07-29 10:27:55) [POST]

  Parameters: {"enabled_modules"=>["issue_tracking", "time_tracking", "news", "documents", "files", "wiki", "r

epository"], "commit"=>"Save", "project_id"=>"modules", "action"=>"new", "authenticity_token"=>"v2goh5EpGXpo0e

ixPLUophZ80nGpvjLFX9uTSfaf6do=", "controller"=>"boards"}

  SQL (0.1ms)   SELECT max("settings".updated_on) AS max_updated_on FROM "settings" 

  User Load (0.3ms)   SELECT * FROM "users" WHERE ("users"."id" = 1) AND (users.status = 1) AND ( ("users"."ty

pe" = 'User' OR "users"."type" = 'AnonymousUser' ) ) 

  Project Load (0.2ms)   SELECT * FROM "projects" WHERE ("projects"."identifier" = 'modules') LIMIT 1

Rendering template within layouts/base

Rendering common/404 (404)

  Setting Load (0.2ms)   SELECT * FROM "settings" WHERE ("settings"."name" = 'app_title') LIMIT 1

  Setting Load (0.2ms)   SELECT * FROM "settings" WHERE ("settings"."name" = 'ui_theme') LIMIT 1

  Setting Load (0.1ms)   SELECT * FROM "settings" WHERE ("settings"."name" = 'text_formatting') LIMIT 1

  Project Load (0.4ms)   SELECT "projects".* FROM "projects" INNER JOIN "members" ON "projects".id = "members"

.project_id WHERE (("members".user_id = 1) AND ((projects.status=1))) 

Filter chain halted as [:find_project] rendered_or_redirected.

Completed in 501ms (View: 482, DB: 2) | 404 Not Found [http://redmine.local/projects/modules/boards]

#2 - 2010-12-22 01:33 - Mischa The Evil

I'm not able to reproduce this error any longer. Tested on source:/trunk@4552. Seems it has been fixed along the way...

Can anyone confirm this issue can be closed?

#3 - 2011-03-16 16:13 - Etienne Massip

- Status changed from New to Closed

- Resolution set to No feedback
